Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # iterator_add_deref< dereference_iterator_adaptor< Iterator, PREV_DEREF >, Deref > Struct Template Reference [dereference_iterator_adaptor] `#include <pixel_iterator_adaptor.hpp>` List of all members. ## Detailed Description ### template<typename Iterator, typename PREV_DEREF, typename Deref> struct boost::gil::iterator_add_deref< dereference_iterator_adaptor< Iterator, PREV_DEREF >, Deref > For dereference iterator adaptors, compose the new function object after the old one.
## Public Types
typedef dereference_iterator_adaptor< Iterator, deref_compose< Deref, PREV_DEREF > > | type
## Static Public Member Functions
static type | make (const dereference_iterator_adaptor< Iterator, PREV_DEREF > &it, const Deref &d)
The documentation for this struct was generated from the following file: pixel_iterator_adaptor.hpp